PANDA_APPLYTEMPLATE(3)

NAME
panda_applytemplate - use a template page previously created

SYNOPSIS
 #include&lt;panda/constants.h&gt;
 #include&lt;panda/functions.h&gt;
 void panda_applytemplate (panda_pdf * output, panda_page * target,
 panda_page * template)

DESCRIPTION

This function is used to use a template created with the <command>panda_newtemplate</command> function call.

RETURNS

Nothing

EXAMPLE
 #include&lt;panda/constants.h&gt;
 #include&lt;panda/functions.h&gt;
 panda_pdf *document;
 panda_page *templatepage, *realpage;
 panda_init();
 document = panda_open("filename.pdf", "w");
 templatepage = panda_newtemplate (document, panda_pagesize_a4);
 realpage = panda_newpage (document, panda_pagesize_a4);
 ... the order of the drawing commands to the two pages doesn't matter ...
 panda_applytemplate(document, realpage, templatepage);

SEE ALSO

panda_newpage, panda_newtemplate

VERSION

This documentation was generated for Panda 0.5.2 by autodocbook (http://www.stillhq.com).

AUTHOR

Panda is under development by Michael Still (mikal@stillhq.com). All code is Copyright Michael Still 2000 - 2003, and is released under the GNU GPL. Code submissions are welcomed. Contact Michael at the address above if you have something you would like to contribute.

BUGS

There are no known bugs in Panda. If you find one, please contact mikal@stillhq.com and let me know.